Subject: [PATCH v4 4/9] pinctrl: Add STM32 MCUs support

From: [email-masked] (Maxime Coquelin)
Date: Sat, 13 Feb 2016 18:14:14 +0100

On 02/13/2016 03:48 PM, Linus Walleij wrote:
> On Mon, Feb 1, 2016 at 1:09 PM, Maxime Coquelin <[email-masked]> wrote:
>> On 02/01/2016 11:39 AM, Maxime Coquelin wrote:
>>> 2016-02-01 11:21 GMT+01:00 Arnd Bergmann <[email-masked]>:
>
>>>> drivers/pinctrl/stm32/pinctrl-stm32.c:26:47: fatal error:
>>>> dt-bindings/pinctrl/pinctrl-stm32.h: No such file or directory
>>>
>>> Right, I missed to notify this dependency to Linus, sorry about that.
>>> This dependency is no more needed, so I could just move the macros to
>>> the driver side.
>>>
>>> Note that I also noticed a breakage at build time due to field
>>> renaming in gpio_chip structure (dev -> parent).
>>>
>>> I propose to rebase the series and move the defines into the driver.
>>> Is it ok for you?
>>>
>> I have rebased the series, taking care to fix the mentioned problems.
>>
>> Linus, do you confirm you will revert STM32 pinctrl patches from your tree?
>
> I guess the other fixes removes the need to do this.
Exactly, all should be fine now.

>
> Sorry for not staying on top of this issue, I was swamped with mail
> and had a hard time prioritizing :(

No worries!

Thanks,
Maxime